Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.Designer.cs	(revision 6823)
@@ -47,118 +47,25 @@
       this.components = new System.ComponentModel.Container();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(SlaveMainViewBase));
-      this.mainTabControl = new System.Windows.Forms.TabControl();
-      this.tabSlaveView = new System.Windows.Forms.TabPage();
-      this.tabJobs = new System.Windows.Forms.TabPage();
-      this.jobsView = new HeuristicLab.Clients.Hive.SlaveCore.Views.JobsView();
-      this.tabLog = new System.Windows.Forms.TabPage();
-      this.logView = new HeuristicLab.Clients.Hive.SlaveCore.Views.LogView();
-      this.tabAbout = new System.Windows.Forms.TabPage();
-      this.aboutView = new HeuristicLab.Clients.Hive.SlaveCore.Views.AboutView();
       this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.showToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.notifyIcon = new System.Windows.Forms.NotifyIcon(this.components);
       this.contextMenuNotifyIcon = new System.Windows.Forms.ContextMenuStrip(this.components);
       this.homepageToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.toolStripSeparator = new System.Windows.Forms.ToolStripSeparator();
+      this.splitContainer = new System.Windows.Forms.SplitContainer();
+      this.mainTabControl = new System.Windows.Forms.TabControl();
+      this.tabSlaveView = new System.Windows.Forms.TabPage();
+      this.tabLog = new System.Windows.Forms.TabPage();
+      this.btnAbout = new System.Windows.Forms.Button();
+      this.slaveView = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveView();
+      this.logView = new HeuristicLab.Clients.Hive.SlaveCore.Views.LogView();
+      this.contextMenuNotifyIcon.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
       this.mainTabControl.SuspendLayout();
-      this.tabJobs.SuspendLayout();
+      this.tabSlaveView.SuspendLayout();
       this.tabLog.SuspendLayout();
-      this.tabAbout.SuspendLayout();
-      this.contextMenuNotifyIcon.SuspendLayout();
       this.SuspendLayout();
-      // 
-      // mainTabControl
-      // 
-      this.mainTabControl.Controls.Add(this.tabSlaveView);
-      this.mainTabControl.Controls.Add(this.tabJobs);
-      this.mainTabControl.Controls.Add(this.tabLog);
-      this.mainTabControl.Controls.Add(this.tabAbout);
-      this.mainTabControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.mainTabControl.Location = new System.Drawing.Point(0, 0);
-      this.mainTabControl.Margin = new System.Windows.Forms.Padding(1);
-      this.mainTabControl.Name = "mainTabControl";
-      this.mainTabControl.SelectedIndex = 0;
-      this.mainTabControl.Size = new System.Drawing.Size(653, 444);
-      this.mainTabControl.TabIndex = 2;
-      // 
-      // tabSlaveView
-      // 
-      this.tabSlaveView.Location = new System.Drawing.Point(4, 22);
-      this.tabSlaveView.Name = "tabSlaveView";
-      this.tabSlaveView.Padding = new System.Windows.Forms.Padding(3);
-      this.tabSlaveView.Size = new System.Drawing.Size(645, 418);
-      this.tabSlaveView.TabIndex = 0;
-      this.tabSlaveView.Text = "Overview";
-      this.tabSlaveView.UseVisualStyleBackColor = true;
-      // 
-      // tabJobs
-      // 
-      this.tabJobs.Controls.Add(this.jobsView);
-      this.tabJobs.Location = new System.Drawing.Point(4, 22);
-      this.tabJobs.Name = "tabJobs";
-      this.tabJobs.Size = new System.Drawing.Size(645, 418);
-      this.tabJobs.TabIndex = 3;
-      this.tabJobs.Text = "Jobs";
-      this.tabJobs.UseVisualStyleBackColor = true;
-      // 
-      // jobsView
-      // 
-      this.jobsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobsView.Caption = "JobsView";
-      this.jobsView.Content = null;
-      this.jobsView.Location = new System.Drawing.Point(4, 4);
-      this.jobsView.Name = "jobsView";
-      this.jobsView.ReadOnly = false;
-      this.jobsView.Size = new System.Drawing.Size(638, 411);
-      this.jobsView.TabIndex = 0;
-      // 
-      // tabLog
-      // 
-      this.tabLog.Controls.Add(this.logView);
-      this.tabLog.Location = new System.Drawing.Point(4, 22);
-      this.tabLog.Name = "tabLog";
-      this.tabLog.Padding = new System.Windows.Forms.Padding(3);
-      this.tabLog.Size = new System.Drawing.Size(645, 418);
-      this.tabLog.TabIndex = 1;
-      this.tabLog.Text = "Log";
-      this.tabLog.UseVisualStyleBackColor = true;
-      // 
-      // logView
-      // 
-      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.logView.Caption = "LogView: Displays logged messages from the slave core.";
-      this.logView.Content = null;
-      this.logView.Location = new System.Drawing.Point(7, 7);
-      this.logView.Name = "logView";
-      this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(632, 405);
-      this.logView.TabIndex = 0;
-      // 
-      // tabAbout
-      // 
-      this.tabAbout.Controls.Add(this.aboutView);
-      this.tabAbout.Location = new System.Drawing.Point(4, 22);
-      this.tabAbout.Name = "tabAbout";
-      this.tabAbout.Size = new System.Drawing.Size(645, 418);
-      this.tabAbout.TabIndex = 2;
-      this.tabAbout.Text = "About HeuristicLab Hive";
-      this.tabAbout.UseVisualStyleBackColor = true;
-      // 
-      // aboutView
-      // 
-      this.aboutView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.aboutView.Caption = "AboutView: Shows some information about HeuristicLab Hive";
-      this.aboutView.Content = null;
-      this.aboutView.Location = new System.Drawing.Point(3, 3);
-      this.aboutView.Name = "aboutView";
-      this.aboutView.ReadOnly = false;
-      this.aboutView.Size = new System.Drawing.Size(639, 412);
-      this.aboutView.TabIndex = 0;
       // 
       // closeToolStripMenuItem
@@ -168,11 +75,4 @@
       this.closeToolStripMenuItem.Text = "Close";
       this.closeToolStripMenuItem.Click += new System.EventHandler(this.closeToolStripMenuItem_Click);
-      // 
-      // showToolStripMenuItem
-      // 
-      this.showToolStripMenuItem.Name = "showToolStripMenuItem";
-      this.showToolStripMenuItem.Size = new System.Drawing.Size(209, 22);
-      this.showToolStripMenuItem.Text = "Show";
-      this.showToolStripMenuItem.Click += new System.EventHandler(this.showToolStripMenuItem_Click);
       // 
       // notifyIcon
@@ -186,5 +86,5 @@
       this.notifyIcon.Visible = true;
       this.notifyIcon.BalloonTipClicked += new System.EventHandler(this.notifyIcon_BalloonTipClicked);
-      this.notifyIcon.DoubleClick += new System.EventHandler(this.notifyIcon_DoubleClick);
+      this.notifyIcon.MouseClick += new System.Windows.Forms.MouseEventHandler(this.notifyIcon_Click);
       // 
       // contextMenuNotifyIcon
@@ -193,8 +93,7 @@
             this.homepageToolStripMenuItem,
             this.toolStripSeparator,
-            this.showToolStripMenuItem,
             this.closeToolStripMenuItem});
       this.contextMenuNotifyIcon.Name = "contextMenuNotifyIcon";
-      this.contextMenuNotifyIcon.Size = new System.Drawing.Size(210, 76);
+      this.contextMenuNotifyIcon.Size = new System.Drawing.Size(210, 54);
       // 
       // homepageToolStripMenuItem
@@ -211,16 +110,112 @@
       this.toolStripSeparator.Size = new System.Drawing.Size(206, 6);
       // 
+      // splitContainer
+      // 
+      this.splitContainer.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer.Location = new System.Drawing.Point(3, 3);
+      this.splitContainer.Name = "splitContainer";
+      this.splitContainer.Orientation = System.Windows.Forms.Orientation.Horizontal;
+      // 
+      // splitContainer.Panel1
+      // 
+      this.splitContainer.Panel1.Controls.Add(this.mainTabControl);
+      // 
+      // splitContainer.Panel2
+      // 
+      this.splitContainer.Panel2.Controls.Add(this.btnAbout);
+      this.splitContainer.Size = new System.Drawing.Size(647, 438);
+      this.splitContainer.SplitterDistance = 392;
+      this.splitContainer.TabIndex = 3;
+      // 
+      // mainTabControl
+      // 
+      this.mainTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.mainTabControl.Controls.Add(this.tabSlaveView);
+      this.mainTabControl.Controls.Add(this.tabLog);
+      this.mainTabControl.Location = new System.Drawing.Point(1, 1);
+      this.mainTabControl.Margin = new System.Windows.Forms.Padding(1);
+      this.mainTabControl.Name = "mainTabControl";
+      this.mainTabControl.SelectedIndex = 0;
+      this.mainTabControl.Size = new System.Drawing.Size(645, 390);
+      this.mainTabControl.TabIndex = 2;
+      // 
+      // tabSlaveView
+      // 
+      this.tabSlaveView.Controls.Add(this.slaveView);
+      this.tabSlaveView.Location = new System.Drawing.Point(4, 22);
+      this.tabSlaveView.Name = "tabSlaveView";
+      this.tabSlaveView.Padding = new System.Windows.Forms.Padding(3);
+      this.tabSlaveView.Size = new System.Drawing.Size(637, 364);
+      this.tabSlaveView.TabIndex = 0;
+      this.tabSlaveView.Text = "Summary";
+      this.tabSlaveView.UseVisualStyleBackColor = true;
+      // 
+      // tabLog
+      // 
+      this.tabLog.Controls.Add(this.logView);
+      this.tabLog.Location = new System.Drawing.Point(4, 22);
+      this.tabLog.Name = "tabLog";
+      this.tabLog.Padding = new System.Windows.Forms.Padding(3);
+      this.tabLog.Size = new System.Drawing.Size(637, 364);
+      this.tabLog.TabIndex = 1;
+      this.tabLog.Text = "Log";
+      this.tabLog.UseVisualStyleBackColor = true;
+      // 
+      // btnAbout
+      // 
+      this.btnAbout.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.btnAbout.Image = ((System.Drawing.Image)(resources.GetObject("btnAbout.Image")));
+      this.btnAbout.Location = new System.Drawing.Point(618, 15);
+      this.btnAbout.Name = "btnAbout";
+      this.btnAbout.Size = new System.Drawing.Size(24, 24);
+      this.btnAbout.TabIndex = 0;
+      this.btnAbout.UseVisualStyleBackColor = true;
+      this.btnAbout.Click += new System.EventHandler(this.btnAbout_Click);
+      // 
+      // slaveView
+      // 
+      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.slaveView.Caption = "HeuristicLab Slave View";
+      this.slaveView.Content = null;
+      this.slaveView.Location = new System.Drawing.Point(6, 6);
+      this.slaveView.Name = "slaveView";
+      this.slaveView.ReadOnly = false;
+      this.slaveView.Size = new System.Drawing.Size(625, 352);
+      this.slaveView.TabIndex = 0;
+      // 
+      // logView
+      // 
+      this.logView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.logView.Caption = "LogView: Displays logged messages from the slave core.";
+      this.logView.Content = null;
+      this.logView.Location = new System.Drawing.Point(7, 7);
+      this.logView.Name = "logView";
+      this.logView.ReadOnly = false;
+      this.logView.Size = new System.Drawing.Size(624, 351);
+      this.logView.TabIndex = 0;
+      // 
       // SlaveMainViewBase
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.mainTabControl);
+      this.Controls.Add(this.splitContainer);
       this.Name = "SlaveMainViewBase";
       this.Size = new System.Drawing.Size(653, 444);
+      this.contextMenuNotifyIcon.ResumeLayout(false);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
       this.mainTabControl.ResumeLayout(false);
-      this.tabJobs.ResumeLayout(false);
+      this.tabSlaveView.ResumeLayout(false);
       this.tabLog.ResumeLayout(false);
-      this.tabAbout.ResumeLayout(false);
-      this.contextMenuNotifyIcon.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -229,12 +224,7 @@
     #endregion
 
-    private System.Windows.Forms.TabPage tabJobs;
-    private JobsView jobsView;
     private System.Windows.Forms.TabPage tabLog;
     private LogView logView;
-    private System.Windows.Forms.TabPage tabAbout;
-    private AboutView aboutView;
     private System.Windows.Forms.ToolStripMenuItem closeToolStripMenuItem;
-    private System.Windows.Forms.ToolStripMenuItem showToolStripMenuItem;
     private System.Windows.Forms.NotifyIcon notifyIcon;
     private System.Windows.Forms.ContextMenuStrip contextMenuNotifyIcon;
@@ -243,4 +233,7 @@
     protected System.Windows.Forms.TabPage tabSlaveView;
     protected System.Windows.Forms.TabControl mainTabControl;
+    protected SlaveView slaveView;
+    protected System.Windows.Forms.SplitContainer splitContainer;
+    private System.Windows.Forms.Button btnAbout;
 
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewBase.cs	(revision 6823)
@@ -72,6 +72,6 @@
       base.OnContentChanged();
 
-      jobsView.Content = Content;
       logView.Content = Content;
+      slaveView.Content = Content;
       if (Content != null) {
         Content.UserVisibleMessageFired += new System.EventHandler<Common.EventArgs<string>>(Content_UserVisibleMessageFired);
@@ -84,14 +84,12 @@
     }
 
-    private void notifyIcon_DoubleClick(object sender, EventArgs e) {
-      OnVisibilitySwitched();
+    private void notifyIcon_Click(object sender, MouseEventArgs e) {
+      if (e.Button == MouseButtons.Left) {
+        OnVisibilitySwitched();
+      }
     }
 
     private void closeToolStripMenuItem_Click(object sender, EventArgs e) {
       Application.Exit();
-    }
-
-    private void showToolStripMenuItem_Click(object sender, EventArgs e) {
-      OnVisibilitySwitched();
     }
 
@@ -116,4 +114,9 @@
       this.Invoke(new Action(SetEnabledStateOfControls));
     }
+
+    private void btnAbout_Click(object sender, EventArgs e) {
+      AboutDialog dialog = new AboutDialog();
+      dialog.ShowDialog();
+    }
   }
 }
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.Designer.cs	(revision 6823)
@@ -45,33 +45,42 @@
     /// </summary>
     private void InitializeComponent() {
-      this.slaveView = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveViewTray();
+      this.slaveCmdsWithKill = new HeuristicLab.Clients.Hive.SlaveCore.Views.SlaveCmdsWithKill();
       this.tabSlaveView.SuspendLayout();
       this.mainTabControl.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
+      this.splitContainer.Panel1.SuspendLayout();
+      this.splitContainer.Panel2.SuspendLayout();
+      this.splitContainer.SuspendLayout();
       this.SuspendLayout();
       // 
-      // tabSlaveView
+      // splitContainer
       // 
-      this.tabSlaveView.Controls.Add(this.slaveView);
       // 
-      // slaveView
+      // splitContainer.Panel2
       // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.slaveView.Caption = "HeuristicLab Slave View";
-      this.slaveView.Content = null;
-      this.slaveView.Location = new System.Drawing.Point(6, 6);
-      this.slaveView.Name = "slaveView";
-      this.slaveView.ReadOnly = false;
-      this.slaveView.Size = new System.Drawing.Size(627, 409);
-      this.slaveView.TabIndex = 0;
+      this.splitContainer.Panel2.Controls.Add(this.slaveCmdsWithKill);
       // 
-      // SlaveMainView
+      // slaveCmdsWithKill
+      // 
+      this.slaveCmdsWithKill.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.slaveCmdsWithKill.Caption = "HeuristicLab Slave Cmds with Kill View";
+      this.slaveCmdsWithKill.Content = null;
+      this.slaveCmdsWithKill.Location = new System.Drawing.Point(3, 3);
+      this.slaveCmdsWithKill.Name = "slaveCmdsWithKill";
+      this.slaveCmdsWithKill.ReadOnly = false;
+      this.slaveCmdsWithKill.Size = new System.Drawing.Size(92, 35);
+      this.slaveCmdsWithKill.TabIndex = 0;
+      // 
+      // SlaveMainViewTray
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Name = "SlaveMainView";
+      this.Name = "SlaveMainViewTray";
       this.tabSlaveView.ResumeLayout(false);
       this.mainTabControl.ResumeLayout(false);
+      this.splitContainer.Panel1.ResumeLayout(false);
+      this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
+      this.splitContainer.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -80,5 +89,5 @@
     #endregion
 
-    private SlaveViewTray slaveView;
+    private SlaveCmdsWithKill slaveCmdsWithKill;
 
 
Index: /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs
===================================================================
--- /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 6822)
+++ /branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Slave.Views/3.3/SlaveMainViewTray.cs	(revision 6823)
@@ -55,5 +55,5 @@
       base.OnContentChanged();
 
-      slaveView.Content = Content;
+      slaveCmdsWithKill.Content = Content;
     }
 
